/*
///////////////////////////////////////////////////////////////////////////////////////////////////
// Description : WPDia.hpp
//   
// Dialog edition the waypoints
//
///////////////////////////////////////////////////////////////////////////////////////////////////
// 
//					
///////////////////////////////////////////////////////////////////////////////////////////////////
// Creation date: 21 jan 1997                        Author: J Thénoz
///////////////////////////////////////////////////////////////////////////////////////////////////
// Modification date:			                      Author: 
// 
//
// 
//
///////////////////////////////////////////////////////////////////////////////////////////////////
*/

// DiaWP.hpp : header file
//

#ifndef DIAWP_HPP
#define DIAWP_HPP

/////////////////////////////////////////////////////////////////////////////
// DiaWP dialog

class DiaWP : public CFormView
{
protected:
	WayPoint* m_poWP;
	BOOL	  m_bEditRadius;

// Construction
public:
	DiaWP(CWnd* pParent = NULL);   // standard constructor
	DECLARE_DYNCREATE ( DiaWP );
	void fn_vInitDialog ( void ); // jack's function to init the dialog
	void fn_vEdit (WayPoint* poWP);
	WayPoint* fn_pGetEditWP (void) { return m_poWP; }
	BOOL fn_bIsEditWP (WayPoint* poWP) { return m_poWP==poWP; }
	void fn_vRefreshDialog (void);
	void fn_vRefreshCoordinate(void);
	void fn_vEditName (void);

// Dialog Data
	//{{AFX_DATA(DiaWP)
	enum { IDD = IDD_WAYPOINT_DIALOG };
	CEdit	m_EditWP;
	float	m_fRadius;
	BOOL	m_bStaticCoord;
	BOOL	m_bGlobalCheck;
	CString	m_csWaypointName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DiaWP)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	void OnDestroy();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	
	// Generated message map functions
	//{{AFX_MSG(DiaWP)
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnKillfocusWaypointEdit();
	afx_msg void OnWaypointCoordCheck();
	afx_msg void OnChangeWaypointEdit();
	afx_msg void OnRealwpRadio();
	afx_msg void OnSymbolicalwpRadio();
	afx_msg void OnGlobaldrawCheck();
	afx_msg void OnKillfocusWaypointNameEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	void fn_vDrawWP (void);
};


#endif
